* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Segoe UI', sans-serif;
  background-color: #FFF0F5;
  color: #333;
}

.pantalla-bienvenida {
  height: 100vh;
  background: linear-gradient(to bottom right, #fff0f5, #ffe4f0);
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
  animation: fadeIn 2s ease;
  position: relative;
}

.logo {
  width: 200px;
  animation: zoomIn 1.5s ease;
  border-radius: 50%;
  box-shadow: 0 0 20px rgba(217, 0, 108, 0.2);
}

.saludo {
  font-size: 2.5rem;
  margin-top: 1rem;
  color: #d9006c;
  animation: slideUp 1.5s ease;
}

.mensaje {
  font-size: 1.2rem;
  margin-top: 0.5rem;
  color: #776D6D;
  max-width: 500px;
  padding: 0 20px;
  animation: slideUp 1.5s ease 0.3s;
  animation-fill-mode: backwards;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.respuestas {
  margin-top: 2rem;
  text-align: center;
}

.pregunta {
  font-weight: bold;
  color: #d9006c;
  margin-bottom: 1rem;
}

.opciones button {
  margin: 6px;
  padding: 10px 16px;
  font-size: 1rem;
  border: none;
  border-radius: 20px;
  background-color: #ffe4f0;
  color: #333;
  cursor: pointer;
  transition: all 0.3s ease;
}

.opciones button:hover {
  background-color: #fcd0e4;
  transform: scale(1.05);
}

.respuesta {
  margin-top: 1rem;
  margin-bottom: 2.5rem;
  font-size: 1.1rem;
  color: #555;
  font-style: italic;
}

.boton-comenzar {
  margin-top: 1rem;
  padding: 12px 24px;
  background-color: #d9006c;
  color: white;
  border: none;
  border-radius: 30px;
  font-size: 1rem;
  font-weight: bold;
  text-decoration: none;
  transition: background-color 0.3s ease, transform 0.3s ease;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  animation: rebote 1.4s ease 1;
}

@keyframes fadeIn {
  from { opacity: 0; }
  to   { opacity: 1; }
}

@keyframes slideUp {
  from { opacity: 0; transform: translateY(30px); }
  to   { opacity: 1; transform: translateY(0); }
}

@keyframes zoomIn {
  from { transform: scale(0.6); opacity: 0; }
  to   { transform: scale(1); opacity: 1; }
}

@keyframes rebote {
  0%   { transform: translateY(0); }
  30%  { transform: translateY(-10px); }
  50%  { transform: translateY(0); }
  70%  { transform: translateY(-5px); }
  100% { transform: translateY(0); }
}


